cppcms::views Namespace Reference

this namespace holds all classes used for rendering CppCMS views. More...

## Classes

class | generator
| The class that represents a single skin and generates its views. More...
class | pool
| This is a singleton object that holds all views in the process. Any view is registered and unregistered via this object. More...
class | manager
| This class controls the views used my application it knows to load them dynamically and reload if needed. More...

## Detailed Description

this namespace holds all classes used for rendering CppCMS views.